Skip to content

List agent plans for a project

GET
/projects/{id}/agent-plans
curl --request GET \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/agent-plans \
--header 'Authorization: Bearer <token>'

Returns the project’s agent plans, newest first (capped at 50). Optional status filter is a comma-separated subset of pending|approved|rejected; unknown tokens are ignored.

id
required
string format: uuid

Project UUID

status
string

Comma-separated subset of pending,approved,rejected

Agent plans for the project (newest first)

Media type application/json
object
plans
required
Array<object>
object
max_cost_usd
number | null
planner_source
string
Allowed values: llm deterministic
planner_rationale
string | null
id
required
string format: uuid
project_id
required
string format: uuid
billing_account_id
required
string format: uuid
milestone_id
required
string format: uuid
created_by_user_id
string | null format: uuid
title
required
string
status
required
string
Allowed values: pending approved rejected
source_ticket_ids
required
Array<string>
lanes
required
Array<object>
object
laneKey
required
string
title
required
string
role
required
string
Allowed values: frontend backend test design devops qa other
ticketIds
required
Array<string>
brief
string
risk
string
Allowed values: low medium high
suggestedFiles
Array<string>
dependsOn
Array<string>
rejection_reason
string | null
approved_at
string | null format: date-time
rejected_at
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Server error

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number